Get History

​

Get logs history for a given webhook.

Path Parameters

  • Webhook ID. You can get it using list webhook endpoint.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/org/webhook/{webhook_id}/history
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const webhookEndpoint = await client.webhookEndpoints.history('webhookId');

console.log(webhookEndpoint);
[
  {
    "id": "6aabc4d9b44b963242be835e",
    "status": "success",
    "retry_count": 1,
    "event": "video.status.stream_ready",
    "asset_id": "6aabc4144b9588fb8c4bd235",
    "created_at": "2026-09-17T10:45:50.470Z"
  }
]